﻿body {
    font-size: 14px;
    padding-top: 90px;
}
textarea{resize:both !important;}
.nav-link:not(.nav-name):hover, .nav-link:not(.nav-name):focus {
    background-color: darkblue;
}

.navbar-dark .navbar-nav .nav-link {    
    color: white;    
}

    .navbar-dark .navbar-nav .nav-link:not(.nav-name):hover, .navbar-dark .navbar-nav .nav-link:not(.nav-name):focus {
        color: white;
        font-weight: 600;
    }

@media (min-width: 992px) {
    .container, .container-sm, .container-md, .container-lg {
        max-width: 100%;
    }
}

@media (min-width: 1200px) {
    .container, .container-sm, .container-md, .container-lg, .container-xl {
        max-width: 100%;
    }
}

.navbar.fixed-left {
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1030;
    /*overflow: auto;*/
}

/*.navbar-collapse {   
    overflow:scroll;
}*/

@media (min-width: 768px) {
    body {
        padding-top: 0;
        margin-left: 232px;
    }

    .navbar-nav {
        padding-bottom: 10px;
    }    

    .navbar.fixed-left {
        position: fixed;
        bottom: 0;
        width: 232px;
        flex-flow: column nowrap;
        align-items: flex-start;
        right: auto;
        height: 100%;
    }       

        .navbar.fixed-left .navbar-collapse {
            flex-grow: 0;
            flex-direction: column;
            width: 100%;
            height: 100%;            
        }

            .navbar.fixed-left .navbar-collapse .navbar-nav {
                flex-direction: column;
                width: 100%;
            }

                .navbar.fixed-left .navbar-collapse .navbar-nav .nav-item {
                    width: 100%;
                }

                    .navbar.fixed-left .navbar-collapse .navbar-nav .nav-item .dropdown-menu {
                        top: 0;
                    }

        .navbar.fixed-left .navbar-nav .nav-item .dropdown-toggle:after {
            border-top: 0.3em solid transparent;
            border-left: 0.3em solid;
            border-bottom: 0.3em solid transparent;
            border-right: none;
            vertical-align: baseline;
        }

        .navbar.fixed-left .navbar-nav .nav-item .dropdown-menu {
            left: 100%;
        }
}

.btn-header-link {
    display: block;
    text-align: left;
}

    .btn-header-link:after {
        content: "\f107";
        font-family: 'Font Awesome 5 Free';
        font-weight: 900;
        float: right;
        transition: all 0.5s;
    }

    .btn-header-link.collapsed:after {
        -webkit-transform: rotate(180deg);
        -moz-transform: rotate(180deg);
        transform: rotate(180deg);
        /*content: "\f106";*/
    }

@media only screen and (max-width: 40em) {
    td[data-td] {
        display: block;
        width: 100%;
    }
}

a.hovereffect1:hover {
    color: white;
    background-color: red;
    text-decoration: none;
}

a.hovereffect2:hover {
    color: white;
    background-color: green;
    text-decoration: none;
}

.table td,
.table th {    
    padding: 7px;
}

.table-bordered > tbody > tr:nth-child(even) > td,
.table-bordered > tbody > tr:nth-child(even) > th {
    background-color: lightblue;
}

.table-bordered > tbody > tr > td {
    vertical-align: top;
}

.table-bordered > thead {
    color: white;
    background-color: cornflowerblue;
}

.card-body {
    padding: 0.25rem;
}

.tab-pane {
    padding: 15px 5px 5px 5px;
}

#nav-tabContent .tab-pane {
    border: solid 1px darkgray;
    border-top: 0;
}

#nav-tab .nav-item {
    background-color: lightgray;
    border: solid 1px darkgray;
    border-bottom: 0;
}

    #nav-tab .nav-item.active {
        background-color: transparent;
        font-weight: bold;
    }

.badge {
    font-size: 100%;
    font-weight: 600;    
}

.badge-lightgrey {
    color: #212529;
    background-color: #d8dfe6;
}

a.badge-lightgrey:hover, a.badge-lightgrey:focus {
    color: #212529;
    background-color: #dae0e5;
}

a.badge-lightgrey:focus, a.badge-lightgrey.focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5);
}

.badge-orange {
    color: #212529;
    background-color: #FFA500;
}

a.badge-orange:hover, a.badge-orange:focus {
    color: #212529;
    background-color: #FF8C00;
}

a.badge-orange:focus, a.badge-orange.focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5);
}

.tooltip {
    pointer-events: none;
}

.expand-btn {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    margin-bottom: 5px;
}

.note-content {
    display: none;
}